Selectable.WithFunction (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.cql3.selection

## Class Selectable.WithFunction

- java.lang.Object
- - org.apache.cassandra.cql3.selection.Selectable.WithFunction

- All Implemented Interfaces:
    AssignmentTestable, Selectable
  Enclosing interface:
    Selectable

      public static class Selectable.WithFunction
      extends java.lang.Object
      implements Selectable

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Selectable.WithFunction.Raw`

    - ### Nested classes/interfaces inherited from interface org.apache.cassandra.cql3.selection.Selectable

      `Selectable.WithCast, Selectable.WithFieldSelection, Selectable.WithFunction, Selectable.WithTerm, Selectable.WithToJSonFunction, Selectable.WritetimeOrTTL`

    - ### Nested classes/interfaces inherited from interface org.apache.cassandra.cql3.AssignmentTestable

      `AssignmentTestable.TestResult`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.List<Selectable>` | `args`
    `Function` | `function`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WithFunction(Function function, java.util.List<Selectable> args)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AbstractType<?>` | `getExactTypeIfKnown(java.lang.String keyspace)` The type of the `Selectable` if it can be infered.
    `Selector.Factory` | `newSelectorFactory(CFMetaData cfm, AbstractType<?> expectedType, java.util.List<ColumnDefinition> defs, VariableSpecifications boundNames)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.cassandra.cql3.selection.Selectable

      `addAndGetIndex, testAssignment`

- - ### Field Detail

    - #### function

          public final Function function

    - #### args

          public final java.util.List<Selectable> args

  - ### Constructor Detail

    - #### WithFunction

          public WithFunction(Function function,
                              java.util.List<Selectable> args)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### newSelectorFactory

          public Selector.Factory newSelectorFactory(CFMetaData cfm,
                                                     AbstractType<?> expectedType,
                                                     java.util.List<ColumnDefinition> defs,
                                                     VariableSpecifications boundNames)

      Specified by:
        `newSelectorFactory` in interface `Selectable`

    - #### getExactTypeIfKnown

          public AbstractType<?> getExactTypeIfKnown(java.lang.String keyspace)

      Description copied from interface: `Selectable`
      The type of the `Selectable` if it can be infered.
      Specified by:
        `getExactTypeIfKnown` in interface `Selectable`
      Parameters:
        `keyspace` - the keyspace on which the statement for which this is a `Selectable` is on.
      Returns:
        the type of this `Selectable` if inferrable, or `null` otherwise (for instance, the type isn't inferable for a bind marker. Even for literals, the exact type is not inferrable since they are valid for many different types and so this will return `null` too).

Copyright © 2018 The Apache Software Foundation